# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(MOP.pm) perl(Test/More.pm) perl(UNIVERSAL/Object.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name slots
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: A simple pragma for managing class slots.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STEVAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a very simple pragma which takes a set of key/value
arguments and assigns it to the `%%HAS' package variable of
the calling class.

This module will also detect superclasses and insure that
slots are inherited correctly, this wil occur during the
next available UNITCHECK phase.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README README.md LICENSE
%perl_vendor_privlib/s*

%changelog
* Tue Feb 26 2019 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

